#
# TODO:	- use system hunspell
# TODO: pl.UTF-8: summary, description
#
%define		qt_ver	5.7
Summary:	LaTeX development environment
Summary(hu.UTF-8):	LaTeX fejlesztői környezet
Summary(pl.UTF-8):	Środowisko do tworzenia dokumentów LaTeXa
Name:		texmaker
Version:	5.0.2
Release:	1
License:	GPL
Group:		X11/Applications/Publishing
Source0:	http://www.xm1math.net/texmaker/%{name}-%{version}.tar.bz2
# Source0-md5:	9157bd4838caa69cbd6e377a2e980084
Source1:	%{name}.desktop
URL:		http://www.xm1math.net/texmaker/
BuildRequires:	Qt5Concurrent-devel >= %{qt_ver}
BuildRequires:	Qt5Core-devel >= %{qt_ver}
BuildRequires:	Qt5Gui-devel >= %{qt_ver}
BuildRequires:	Qt5Network-devel >= %{qt_ver}
BuildRequires:	Qt5PrintSupport-devel >= %{qt_ver}
BuildRequires:	Qt5Script-devel >= %{qt_ver}
BuildRequires:	Qt5WebKit-devel >= %{qt_ver}
BuildRequires:	Qt5Widgets-devel >= %{qt_ver}
BuildRequires:	Qt5Xml-devel >= %{qt_ver}
BuildRequires:	poppler-qt5-devel
BuildRequires:	qt5-build
BuildRequires:	qt5-qmake
Requires:	Qt5Concurrent >= %{qt_ver}
Requires:	Qt5Core >= %{qt_ver}
Requires:	Qt5Gui >= %{qt_ver}
Requires:	Qt5Network >= %{qt_ver}
Requires:	Qt5PrintSupport >= %{qt_ver}
Requires:	Qt5Script >= %{qt_ver}
Requires:	Qt5WebKit >= %{qt_ver}
Requires:	Qt5Widgets >= %{qt_ver}
Requires:	Qt5Xml >= %{qt_ver}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Texmaker is a free LaTeX editor, that integrates many tools needed to
develop documents with LaTeX, in just one application.

%description  -l hu.UTF-8
Texmaker egy ingyenes LaTeX szerkesztő, amely eszközök tömkelegét
integrálja egybe LaTeX dokumentumok fejlesztéséhez.

%description -l pl.UTF-8
Texmaker to darmowy edytor LaTeXa, który łączy wiele narzędzi
potrzebnych do tworzenia dokumentów LaTeXa w jednej aplikacji.

%prep
%setup -q

%build
qmake-qt5 -unix texmaker.pro \
	PREFIX="%{_prefix}" \
	QMAKE_CXXFLAGS="%{rpmcflags}"
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_pixmapsdir},%{_desktopdir},%{_datadir}/texmaker}

install %{name} $RPM_BUILD_ROOT%{_bindir}
install utilities/*.png dictionaries/{*.aff,*.dic} locale/*.qm \
	$RPM_BUILD_ROOT%{_datadir}/texmaker
cd doc
for i in *; do
	ln -s %{_docdir}/%{name}-%{version}/doc/$i $RPM_BUILD_ROOT%{_datadir}/texmaker
done
cd ..
install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install utilities/texmaker32x32.png $RPM_BUILD_ROOT%{_pixmapsdir}/texmaker.png
install utilities/texmaker.svg $RPM_BUILD_ROOT%{_pixmapsdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc utilities/AUTHORS utilities/CHANGELOG.txt dictionaries/*.txt doc
%attr(755,root,root) %{_bindir}/*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/en_GB.*
%{_datadir}/%{name}/en_US.*
%lang(cs) %{_datadir}/%{name}/cs_CZ.*
%lang(de) %{_datadir}/%{name}/de_DE.*
%lang(es) %{_datadir}/%{name}/es_ES.*
%lang(fr) %{_datadir}/%{name}/fr_FR.*
%lang(hu) %{_datadir}/%{name}/hu_HU.*
%lang(it) %{_datadir}/%{name}/it_IT.*
%lang(nl) %{_datadir}/%{name}/nl_NL.*
%lang(pl) %{_datadir}/%{name}/pl_PL.*
%lang(cs) %{_datadir}/%{name}/qt_cs.qm
%lang(de) %{_datadir}/%{name}/qt_de.qm
%lang(es) %{_datadir}/%{name}/qt_es.qm
%lang(fa) %{_datadir}/%{name}/qt_fa.qm
%lang(fr) %{_datadir}/%{name}/qt_fr.qm
%lang(pl) %{_datadir}/%{name}/qt_pl.qm
%lang(pt) %{_datadir}/%{name}/qt_pt.qm
%lang(ru) %{_datadir}/%{name}/qt_ru.qm
%lang(zh_CN) %{_datadir}/%{name}/qt_zh_CN.qm
%lang(zh_TW) %{_datadir}/%{name}/qt_zh_TW.qm
%lang(ar) %{_datadir}/%{name}/texmaker_ar.qm
%lang(ca) %{_datadir}/%{name}/texmaker_ca.qm
%lang(cs) %{_datadir}/%{name}/texmaker_cs.qm
%lang(da) %{_datadir}/%{name}/texmaker_da.qm
%lang(de) %{_datadir}/%{name}/texmaker_de.qm
%lang(el) %{_datadir}/%{name}/texmaker_el.qm
%lang(es) %{_datadir}/%{name}/texmaker_es.qm
%lang(fa) %{_datadir}/%{name}/texmaker_fa.qm
%lang(fr) %{_datadir}/%{name}/texmaker_fr.qm
%lang(gl) %{_datadir}/%{name}/texmaker_gl.qm
%lang(hu) %{_datadir}/%{name}/texmaker_hu.qm
%lang(it) %{_datadir}/%{name}/texmaker_it.qm
%lang(lv) %{_datadir}/%{name}/texmaker_lv.qm
%lang(nl) %{_datadir}/%{name}/texmaker_nl.qm
%lang(pl) %{_datadir}/%{name}/texmaker_pl.qm
%lang(pt) %{_datadir}/%{name}/texmaker_pt_BR.qm
%lang(pt) %{_datadir}/%{name}/texmaker_pt.qm
%lang(ru) %{_datadir}/%{name}/texmaker_ru.qm
%lang(se) %{_datadir}/%{name}/texmaker_se.qm
%lang(sr) %{_datadir}/%{name}/texmaker_sr.qm
%lang(uk) %{_datadir}/%{name}/texmaker_uk.qm
%lang(zh_CN) %{_datadir}/%{name}/texmaker_zh_CN.qm
%lang(zh_TW) %{_datadir}/%{name}/texmaker_zh_TW.qm
%{_datadir}/%{name}/*.html
%{_datadir}/%{name}/*.png
%{_desktopdir}/*.desktop
%{_pixmapsdir}/*
%changelog
* Wed Feb 14 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/texmaker.git;a=log;h=master

* Tue Feb 13 2018 Jan Palus <atler@pld-linux.org> b192a87
- up to 5.0.2

* Fri Dec 06 2013 Jan Rękorajski <baggins@pld-linux.org> 9bbf6ea
- up to 4.1

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> f09aaab
- BR: QtWebKit-devel, poppler-Qt-devel

* Fri Jul 30 2010 pawelz <pawelz@pld-linux.org> 0347a66
- utfized pl Summary and %description.

* Fri Jul 30 2010 Zsolt Udvari <uzsolt@pld-linux.org> 5f463a7
- 2.0.0
- utf8 - please update pl translations
- hu

* Sat Feb 13 2010 sparky <sparky@pld-linux.org> e9b0772
- BR: QtNetwork-devel, QtXml-devel

* Sat Feb 13 2010 Krzysztof Goliński <dirdival@pld-linux.org> 9709343
- up to 1.9.9
- added few *.qm files
- adapter
- TODO: pl.UTF-8

* Sun Sep 27 2009 Tomasz Pala <gotar@pld-linux.org> 0ed72c1
- upgraded to 1.9.2 (inspired by Krzysztof Goliñski), pass CXXFLAGS

* Sat Sep 20 2008 Tomasz Pala <gotar@pld-linux.org> 5dcd8cb
- upgraded to 1.7.1

* Wed Dec 26 2007 Jakub Bogusz <qboosh@pld-linux.org> ed93900
- cleanup

* Wed Dec 26 2007 blekot <blekot@pld-linux.org> 1c825bd
- massive change ( validate errors warrings from desktop-file-validate)
  - sed -i 's,Encoding=UTF-8,,g' *.desktop
  - sed -i "s,.png,,1" `grep -l 'Icon=[^/].*\.png' *.desktop`
  - sed -i "s,MimeType=.*,\0;,g" `grep "MimeType.*semicolon" validate |awk '{print $1}' |tr ":" " "`
  - sed -i 's,MapNotify=.*,,g' *.desktop
  - sed -i '/^$/d' *.desktop
- not all error/warrings validated

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> b29f4be
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 9ba10fe
- converted to UTF-8

* Tue Nov 07 2006 Elan Ruusamäe <glen@pld-linux.org> b3599aa
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

* Tue May 16 2006 piti <piti@pld-linux.org> d0643da
- up to 1.3, neads testing

* Wed Jun 01 2005 Jakub Bogusz <qboosh@pld-linux.org> e71d107
- unified

* Sat May 28 2005 twittner <twittner@pld-linux.org> 6dc5ba0
- adapterized (missing some cvs keywords)

* Sat May 28 2005 Paweł Gołaszewski <blues@pld-linux.org> 6b7c1b0
- cosmetics

* Sat May 28 2005 ankry <ankry@pld-linux.org> dee34f7
- fixed pl, added Comment

* Sat May 28 2005 undefine <undefine@pld-linux.org> 6b635d9
- initial version by ytm

